function [cgw, cgn] = FormaGraficoConflito(gama_celula, m_dash, N, Pn, Pm, Gnb, Gmb, Gnn, Gmn, In, Im, Wm, alfa2_m, alfa2_n, inf_thr)
    len = length(gama_celula{m_dash});
    cgw = zeros(len,1);
    cgn = cell(1,len);
    for i=1:length(gama_celula{m_dash})
        n = gama_celula{m_dash}(i);   
        cgw(i) = Wm(m_dash)*log2(1 + (Pm(m_dash)*Gmb(m_dash))/(alfa2_m(m_dash) + Pn(n)*Gnb(n)))+...
                Wm(m_dash)*log2(1 + (Pn(n)*Gnn(n))/(alfa2_n(n) + Pm(m_dash)*Gmn(m_dash,n)));

    end
    for i=1:length(gama_celula{m_dash})
        for j=i+1:length(gama_celula{m_dash})
            n1 = gama_celula{m_dash}(i);
            n2 = gama_celula{m_dash}(j);
            interferencia_mutua = Pn(n1)*Gnb(n1) + Pn(n2)*Gnb(n2);
            if interferencia_mutua>inf_thr
                cgn{i} = [cgn{i} j];
                cgn{j} = [cgn{j} i];
            end
        end 
    end
end